# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-Catalyst-Helper-FastCGI-ExternalServer 
Version:    0.05 
Release:    alt1_11
# lib/Catalyst/Helper/FastCGI/ExternalServer.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Perl
Summary:    FastCGI daemon start/stop script for using FastCgiExternalServer 
Source:     http://search.cpan.org/CPAN/authors/id/Z/ZI/ZIGOROU/Catalyst-Helper-FastCGI-ExternalServer-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Catalyst-Helper-FastCGI-ExternalServer
BuildArch:  noarch

BuildRequires: perl(Catalyst.pm)
BuildRequires: perl(Catalyst/Utils.pm)
BuildRequires: perl(Cwd.pm)
BuildRequires: perl(DateTime.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(FCGI.pm)
BuildRequires: perl(FCGI/ProcManager.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
# sigh
BuildRequires: perl(CPAN.pm)
Source44: import.info

%description
This module allows configuration using /etc/sysconfig/myapp. First make
a file called /etc/sysconfig/myapp and then write some variables in it.
The variables that you add to the file will automatically override the
environment variables.


%prep
%setup -q -n Catalyst-Helper-FastCGI-ExternalServer-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README 
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_11
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_10
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_8
- fc import

